Subject: RE: Audio Dirver for the 403/405?

From: bert_maxel <[email-masked]>
Date: Fri, 1 Jun 2007 13:38:33 -0700 (PDT)

Thanks for your input. 
Can you send me the dsp driver that goes with opb_ac97?
That'll be a good start for me, I appreciate your help.

thank you  Steve

bert

Stephen Neuendorffer wrote:
> 
> 
> There is an opb core developed for the Xilinx University Program board,
> which
> has a similar hardware interface to the ML403 (i.e. no PCI bridge)
> The XUPV2P web page with the opb_ac97 core is here:
> http://www.xilinx.com/univ/xupv2p.html 
> 
> I have a /dev/dsp driver (which I'll send to Bert directly) which limps
> along in 2.6.
> This core has a relatively small buffer and no master access to memory,
> which
> results in relatively poor performance, but it is a starting point.
> 
> Steve
> 
>> -----Original Message-----
>> From: 
>> linuxppc-embedded-bounces+stephen=[email-masked]
>>  
>> [mailto:linuxppc-embedded-bounces+stephen=neuendorffer.name@oz
> labs.org] On Behalf Of bert_maxel
>> Sent: Thursday, May 31, 2007 12:10 PM
>> To: [email-masked]
>> Subject: Re: Audio Dirver for the 403/405?
>> 
>> 
>> 
>> 
>> Grant Likely-2 wrote:
>> > 
>> > On 5/30/07, bert_maxel <[email-masked]> wrote:
>> >>
>> >> Hi all,
>> >>
>> >> Has anybody got some working audio driver (linux) for the  
>> ML403/405 ?
>> >> I know it's an ac97 codec, but I can't find anything 
>> related to the 
>> >> xilinx boards?
>> >> If nobody has worked on this yet, I'm in trouble. I don't 
>> know where 
>> >> to start, or from what ac97 driver should I base my 
>> initial development?
>> > 
>> > IIRC, the old mvista 2.4 tree has an audio driver.
>> > 
>> > g.
>> > 
>> > --
>> > Grant Likely, B.Sc., P.Eng.
>> > Secret Lab Technologies Ltd.
>> > [email-masked]
>> > (403) 399-0195
>> > _______________________________________________
>> > Linuxppc-embedded mailing list
>> > [email-masked]
>> > https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>> > 
>> > 
>> 
>> There are plenty of boards with an ac97 codec, but what's 
>> missing is the glue for the ML403 board, there's no pci bus 
>> in this case,  opb cores instead.
>> I hope somebody can point me to a link of interest.
>> 
>> thanks
>> --
>> View this message in context: 
>> http://www.nabble.com/Audio-Dirver-for-the-403-405--tf3843165.
> html#a10900170
>> Sent from the linuxppc-embedded mailing list archive at Nabble.com.
>> 
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>> 
>> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Audio-Dirver-for-the-403-405--tf3843165.html#a10920136
Sent from the linuxppc-embedded mailing list archive at Nabble.com.